#include<stdio.h>
#include<math.h>
#include<ctype.h>
#include<string.h>
#include<stdlib.h>
#include<iostream>
using namespace std;
main()
{
	int b,c;
	cin>>b;
	cin>>c;
	if(b+c<256)
	{
		if(b>c)
		{
			cout<<256-b;
			return 0;
		}
		if(c>b)
		{
			cout<<256-c;
			return 0;
		}
		if(b==c)
		{
			cout<<256-c;
			return 0;
		}
	}
	if(b>256 || c>256)
	{
		cout<<0;
		return 0;
	}
	if(b+c>256)
	{
		cout<<0;
		return 0;
	}
		
	
	
}